// CkFtpProgress.h: interface for the CkFtpProgress class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _CKFTPPROGRESS_H
#define _CKFTPPROGRESS_H

#pragma once

/*

  To receive progress events (callbacks), create a C++ class that 
  inherits this one and provides one or more overriding implementations 
  for the events you wish to receive.  Then pass your progress object
  to CkFtp2 methods such as PutFileWithProgress, GetFileWithProgress, etc.

  */
class CkFtpProgress  
{
    public:
	CkFtpProgress();
	virtual ~CkFtpProgress();

	virtual void FtpPercentDone(long pctDone, bool *abort) { }

	// Called periodically to check to see if the transfer should be aborted.
	virtual void AbortCheck(bool *abort) { }

};

#endif
