// CkMailboxes.h: interface for the (IMAP) CkMailboxes class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _CKMAILBOXES_H
#define _CKMAILBOXES_H

#pragma once

class CkString;
#include "CkObject.h"

// CLASS: CkMailboxes
class CkMailboxes  : public CkObject
{
    public:
	CkMailboxes();
	virtual ~CkMailboxes();

	// BEGIN PUBLIC INTERFACE

	bool IsMarked(long index);
	bool HasInferiors(long index);
	bool IsSelectable(long index);
	// Return the Nth mailbox name in strName.  Return false if index is out of range.
	bool GetName(long index, CkString &strName);
	long get_Count(void);

	// END PUBLIC INTERFACE

    // For internal use only.
    private:
	void *m_impl;

	// Don't allow assignment or copying these objects.
	CkMailboxes(const CkMailboxes &) { } 
	CkMailboxes &operator=(const CkMailboxes &) { return *this; }

    public:
	void *getImpl(void) { return m_impl; } 

	CkMailboxes(void *impl) : m_impl(impl) { }


};


#endif


